Uniface 9.7 and new Oracle 12c Release 2

Author: rmeaille@medinfo.fr (foster06)

Hello, My application running under Uniface 9.7 and I need to connect to Oracle 12c Release 2. Can I use driver Oracle 7.1 used this Oracle 12c or Uniface have a special driver for Oracle 12c Release 2 ? Thanks.

8 Comments

  1. foster06 said Hello, ... Can I use driver Oracle 7.1 used this Oracle 12c or Uniface have a special driver for Oracle 12c Release 2 ? ...  

    Based on previous experiences: you can initially test your work using driver U7.1 against 12c R2; it should work. Then you should ask ULab to accelerate verification process of U7.1 driver against the new 12c R2 version: a new U7.2 driver version will probably be released. Regards, Gianni


    Author: gianni (gianni.sandigliano@unifacesolutions.com)
  2. We are working on this at the moment.  Looks like we will deliver a u7.2 driver based on the Oracle 12.2 client libraries. Based on feedback we had from a customer, the u7.1 driver won't work, although I do not know the exact combination they tried.  Generally Oracle has quite a liberal 'mix and match' policy when it comes to their client library versions and database server versions. It could be that the current u7.1 driver, connected to the Oracle 12c (12.1) client libraries and then connected to the Oracle 12.2 (the latest) will work. This would be Oracle supporting this combination, our driver will think it's Oracle 12.1.  Oracle 12.2 will start in Uniface 10.3 (aiming June/July) and Uniface 9.7.04. (May/June) for some platforms. (Redhat Linux and Solaris)  Other platforms (SuSE, CentOS, Windows, AIX) will probably be in Uniface 9.7.05 (planning October) and we need to decide how we deliver with Uniface 10.3x. (factors like cloud, containers, installers have a bearing on this). This is all based on the assumption further platforms have been made available by Oracle by that time. 


    Author: Adrian Gosbell (adrian.gosbell@synapse-i.jp)
  3. Adrian Gosbell said .... It could be that the current u7.1 driver, connected to the Oracle 12c (12.1) client libraries and then connected to the Oracle 12.2 (the latest) will work. ...  

    I was meaning to initially use this configuration... Gianni


    Author: gianni (gianni.sandigliano@unifacesolutions.com)
  4. Just to confirm, it will be a new u7.2 driver for Oracle 12.2 support. 


    Author: Adrian Gosbell (adrian.gosbell@synapse-i.jp)
  5. As an update, I think we will be lucky to get Uniface 9.7.04 delivered in May, more likely to be June/July.  So you know what's happened, we've lost some resources due to some unexpected circumstances. Our cloud work had some challenges in regards to getting the testing/verification suite completed. With an eye on the future, we had already decided not to cut any corners. What we didn't anticipate was that some corners that were cut in the past (distant past) have come back to haunt us.  Uniface 9.7.04 won't include Oracle support on the cloud platforms. We will add those later, aiming on Uniface 9.7.04, before Uniface 9.7.05.  We'll blog about what we've done to get to put cloud on the PAM, it's been challenging, but the outcomes will be good, not only because it is listed, but better testing and we've uncovered and fixed a few product issues on the way which the same tests had not uncovered on-premise which is interesting. 


    Author: Adrian Gosbell (adrian.gosbell@synapse-i.jp)
  6. An update on this. Uniface 9.7.04 is now closed and we are in our test-release cycle, and should be on the download site in mid August.  Oracle made Oracle 12.2 available for Windows, so the u7.2 driver for Windows will now be included.  Oracle support will now be included for the cloud. It's Oracle 12.1 and the u7.1 driver, as Oracle 12.2 is currently not available on AWS or Azure. 


    Author: Adrian Gosbell (adrian.gosbell@synapse-i.jp)
  7. Question related to 12.2 - Can U6.3 be used with Oracle client 11.2.x to access Oracle server 12.2? As an additional question; The PAM for 9.7.04 (Aug. 24th, 2017) doesn't list the U6.3 driver as available. However, looking at the distribution package, there's indeed a U6.3 dll there.... Should the PAM be updated, or shouldn't the UORA63.DLL be in the distro? Knut


    Author: Knut (knut.dybendahl@gmail.com)
  8. Knut said Question related to 12.2 - Can U6.3 be used with Oracle client 11.2.x to access Oracle server 12.2? As an additional question; The PAM for 9.7.04 (Aug. 24th, 2017) doesn't list the U6.3 driver as available. However, looking at the distribution package, there's indeed a U6.3 dll there.... Should the PAM be updated, or shouldn't the UORA63.DLL be in the distro? Knut  

    Hi Knut, The ORA U6.3 connector is still listed in the PAM for version 9.7.04. It's intended for Oracle 11g R1 (11.1.x) and supported only on Windows Server 2008 and some Unix-platforms. That's the reason why the UORA63.DLL is still part of the distribution. In case you are using Oracle 11g R2 (11.2.x) then you should use the U7.0 connector. And (AFAIK) Oracle does support the combination of Oracle Client 11g R2 and Server 12c R2. Hope this helps. Daniel


    Author: diseli (daniel.iseli@uniface.com)